pipeline 
{
    agent any
    environment 
    {
   
    GIT_COMMIT_SHORT = sh(
            script: "printf \$(git rev-parse --short ${GIT_COMMIT})",
            returnStdout: true
                         )
    IMG_TAG = "${GIT_COMMIT_SHORT}"
  
   }
     stages 
     {  
        
        stage('build_image') 
        {
            steps 
            {
                sh 'docker-compose build' 
            }
        }
        stage('deploy') 
        {
            steps 
            {
                sh '''
                docker rm -f ecms_api
                docker-compose up -d
                '''
            }
        }
    stage('migrate') 
        {
            steps 
            {
                sh ' docker exec ecms_api rails db:migrate '
            }
        }

                    

     }      
}
      






